@import "popup-thanks/popup-thanks.pcss";

/* Popups ================ */

:root {
  --popup-background-color: var(--color-white);
  --popup-border-radius: 8px;

  --popup-container-width: 97%;
  --popup-container-max-width: 500px;
  --popup-container-z-index: 2;

  --popup-overlay-border: 1px solid var(--color-primary);
  --popup-overlay-background-color: rgba(0, 0, 0, .6);
  --popup-overlay-z-index: 1;

  --popup-button-close-size: 20px;
  --popup-button-close-icon-size: 16px;
  --popup-button-close-color: var(--color-black-light);
  --popup-button-close-positions: 20px;
  --popup-button-close-z-index: 2;
}

.popup {
  display: flex;
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  transition: var(--transition-type) var(--transition-time);
  opacity: 0;
  z-index: var(--z-index-popup);
  overflow: hidden;
  visibility: hidden;
  pointer-events: none;
  -webkit-overflow-scrolling: touch;
}

.popup--open {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;

  .popup__overlay {
    opacity: 1;
    visibility: visible;
  }

  .popup__container {
    transform: scale(1);
    opacity: 1;
  }
}

.popup__overlay {
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  background: var(--popup-overlay-background-color);
  transition: var(--transition-type) var(--transition-time);
  opacity: 0;
  z-index: var(--popup-overlay-z-index);
  overflow: hidden;
  visibility: hidden;
}

.popup__container {
  display: block;
  width: var(--popup-container-width);
  max-width: var(--popup-container-max-width);
  height: auto;
  min-height: 100px;
  max-height: 100%;
  margin: auto;
  position: relative;
  border: var(--popup-overlay-border);
  border-radius: var(--popup-border-radius);
  background: var(--popup-background-color);
  transform: scale(.7);
  transition: var(--transition-type) var(--transition-time);
  opacity: 0;
  z-index: var(--popup-container-z-index);
  overflow-y: auto;
  -webkit-overflow-scrolling: touch;
}

.popup__close {
  display: flex;
  justify-content: center;
  align-items: center;
  width: var(--popup-button-close-size);
  height: var(--popup-button-close-size);
  padding: 0;
  position: absolute;
  top: var(--popup-button-close-positions);
  right: var(--popup-button-close-positions);
  border: 0;
  background: transparent;
  font-size: 0;
  color: var(--popup-button-close-color);
  z-index: var(--popup-button-close-z-index);

  &:hover {
    color: var(--color-primary);
  }

  .icon {
    width: var(--popup-button-close-icon-size);
    height: var(--popup-button-close-icon-size);
  }
}

.popup__content {
  display: block;
  width: 100%;
  height: 100%;
  padding: 45px 30px;
  text-align: center;

  @media (--tablet-max) {
    max-width: 400px;
    padding: 30px 20px;
    margin: 0 auto;
  }
}

.popup__title {
  margin: 0 auto 25px;

  @media (--tablet-max) {
    margin-bottom: 15px;
    font-size: 24px;
  }
}

.popup__subtitle {
  padding-right: 30px;
  padding-left: 30px;

  @media (--tablet-max) {
    padding: 0 10px;
    font-size: 14px;
  }
}

.popup__form {
  margin-top: 45px;

  @media (--tablet-max) {
    margin-top: 25px;
  }
}

/* ================ end popups */
